Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches (subtitle)
Summary: Allow Keyword to MARC mapping for acquisitions searches (subtitle)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-24 00:41 UTC by Nick Clemens
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches (2.48 KB, patch)
2017-07-19 14:17 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches (2.54 KB, patch)
2017-08-03 16:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches (2.60 KB, patch)
2017-12-08 15:10 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 17182: Fix call to GetMarcBiblio (QA follow-up) (1.12 KB, patch)
2017-12-08 15:10 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-08-24 00:41:31 UTC
* Bring Keyword to MARC mapping in to acquisitions search results
* This will work like svc/checkouts which shows anything mapped to subtitle on the table
Comment 1 Nick Clemens 2017-07-19 14:17:59 UTC
Created attachment 65101 [details] [review]
Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches

This patchset adds the 'subtitle' field to the results display on
acquistions search for adding an order form an existing item.

Any field mapped to 'subtitle' in 'Keyword to MARC mapping' will be
fetched and displayed in the results

To test:
1 - Perform an acquisitions search for existing record
2 - Note record subtitles are not displayed
3 - Map 245$b and 245$n to 'subtitle' in 'Keyword to MARC mapping'
4 - Note they are still not displayed ion acq results
5 - Apply patch
6 - subtitle fields should now display

Sponsored by: Round Rock Public Library
<https://www.roundrocktexas.gov/departments/library/>
Comment 2 Owen Leonard 2017-08-03 16:03:32 UTC
Created attachment 65479 [details] [review]
[SIGNED-OFF] Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches

This patchset adds the 'subtitle' field to the results display on
acquistions search for adding an order form an existing item.

Any field mapped to 'subtitle' in 'Keyword to MARC mapping' will be
fetched and displayed in the results

To test:
1 - Perform an acquisitions search for existing record
2 - Note record subtitles are not displayed
3 - Map 245$b and 245$n to 'subtitle' in 'Keyword to MARC mapping'
4 - Note they are still not displayed ion acq results
5 - Apply patch
6 - subtitle fields should now display

Sponsored by: Round Rock Public Library
<https://www.roundrocktexas.gov/departments/library/>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Julian Maurice 2017-12-08 15:10:02 UTC
Created attachment 69648 [details] [review]
Bug 17182 - Allow Keyword to MARC mapping for acquisitions searches

This patchset adds the 'subtitle' field to the results display on
acquistions search for adding an order form an existing item.

Any field mapped to 'subtitle' in 'Keyword to MARC mapping' will be
fetched and displayed in the results

To test:
1 - Perform an acquisitions search for existing record
2 - Note record subtitles are not displayed
3 - Map 245$b and 245$n to 'subtitle' in 'Keyword to MARC mapping'
4 - Note they are still not displayed ion acq results
5 - Apply patch
6 - subtitle fields should now display

Sponsored by: Round Rock Public Library
<https://www.roundrocktexas.gov/departments/library/>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Julian Maurice 2017-12-08 15:10:06 UTC
Created attachment 69649 [details] [review]
Bug 17182: Fix call to GetMarcBiblio (QA follow-up)

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2017-12-11 17:53:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2017-12-20 13:01:46 UTC
Awesome work all! Pushed to stable for 17.11.01